Name:           perl-Math-Vec
Version:        0.04
Release:        2%{?dist}
Summary:        Perl Math::Vec module

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Math-Vec/
Source0:        http://search.cpan.org/CPAN/authors/id/E/EW/EWILHELM/Math-Vec-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Module::Build)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Object-oriented vector math methods in Perl.

%prep
%setup -q -n Math-Vec-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
./Build


%install
rm -rf $RPM_BUILD_ROOT
PERL_INSTALL_ROOT=$RPM_BUILD_ROOT ./Build install
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
TEST_POD_COVERAGE=1 TEST_POD=1 ./Build test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Fri May 04 2007 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.04-2
- Packaging improvements (use more proper license tag, use tarball
  with preserved timestamp, remove direct BuildRequires on perl, expand
  description, enable pod tests) by Bernard Johnson

* Mon Apr 16 2007 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.04-1
- First package
